//
//  LDViewController.m
//  LibraryDemo
//
//  Created by Tokusei Noborio on 13/05/06.
//  Copyright (c) 2013年 Nyampass Corporation. All rights reserved.
//

#import "LDViewController.h"
#import "LDShareKitconfigurator.h"

#import "SHK.h"
#import "SHKConfiguration.h"

@interface LDViewController ()

@end

@implementation LDViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    LDShareKitconfigurator *configurator = [[LDShareKitconfigurator alloc] init];
    [SHKConfiguration sharedInstanceWithConfigurator:configurator];
    
    NSURL *url = [NSURL URLWithString:@"http://hogehoge.com"];
    SHKItem *item = [SHKItem URL:url title:@"ShareKit からの共有 " contentType:SHKURLContentTypeWebpage];
    SHKActionSheet *actionSheet = [SHKActionSheet actionSheetForItem:item];
    [SHK setRootViewController:self];
    
    [actionSheet showInView:self.view];    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
